package com.ruoyi.dxp.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.dxp.domain.ServiceCache;

/**
 * 服务缓存Service接口
 * 
 * @author jy
 * @date 2023-01-04
 */
public interface IServiceCacheService 
{
    /**
     * 查询服务缓存
     * 
     * @param id 服务缓存主键
     * @return 服务缓存
     */
    public ServiceCache selectServiceCacheById(Long id);

    /**
     * 查询服务缓存列表
     * 
     * @param serviceCache 服务缓存
     * @return 服务缓存集合
     */
    public List<ServiceCache> selectServiceCacheList(ServiceCache serviceCache);

    /**
     * 新增服务缓存
     * 
     * @param serviceCache 服务缓存
     * @return 结果
     */
    public int insertServiceCache(ServiceCache serviceCache);

    /**
     * 修改服务缓存
     * 
     * @param serviceCache 服务缓存
     * @return 结果
     */
    public int updateServiceCache(ServiceCache serviceCache);

    /**
     * 批量删除服务缓存
     * 
     * @param ids 需要删除的服务缓存主键集合
     * @return 结果
     */
    public int deleteServiceCacheByIds(Long[] ids);

    /**
     * 删除服务缓存信息
     * 
     * @param id 服务缓存主键
     * @return 结果
     */
    public int deleteServiceCacheById(Long id);

    /**
     * 保存
     * @param serviceCache 保存对象
     * @return 保存结果
     */
    public AjaxResult save(ServiceCache serviceCache);

    /**
     * 配置写入redis
     */
    public void writeToRedis();
}
